| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
AppliedBuiltinMemberAnnotations Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure AppliedBuiltinMemberAnnotations defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | AppliedBuiltinMemberAnnotations ()
| Default constructor.
eProsima_user_DllExport | ~AppliedBuiltinMemberAnnotations ()
| Default destructor.
eProsima_user_DllExport | AppliedBuiltinMemberAnnotations (const AppliedBuiltinMemberAnnotations &x)
| Copy constructor.
eProsima_user_DllExport | AppliedBuiltinMemberAnnotations (AppliedBuiltinMemberAnnotations &&x) noexcept
| Move constructor.
eProsima_user_DllExport AppliedBuiltinMemberAnnotations & | operator= (const AppliedBuiltinMemberAnnotations &x)
| Copy assignment.
eProsima_user_DllExport AppliedBuiltinMemberAnnotations & | operator= (AppliedBuiltinMemberAnnotations &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const AppliedBuiltinMemberAnnotations &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const AppliedBuiltinMemberAnnotations &x) const
| Comparison operator.
eProsima_user_DllExport void | unit (const eprosima::fastcdr::optional< std::string > &_unit)
| This function copies the value in member unit.
eProsima_user_DllExport void | unit (eprosima::fastcdr::optional< std::string > &&_unit)
| This function moves the value in member unit.
eProsima_user_DllExport const eprosima::fastcdr::optional< std::string > & | unit () const
| This function returns a constant reference to member unit.
eProsima_user_DllExport eprosima::fastcdr::optional< std::string > & | unit ()
| This function returns a reference to member unit.
eProsima_user_DllExport void | min (const eprosima::fastcdr::optional< AnnotationParameterValue > &_min)
| This function copies the value in member min.
eProsima_user_DllExport void | min (eprosima::fastcdr::optional< AnnotationParameterValue > &&_min)
| This function moves the value in member min.
eProsima_user_DllExport const eprosima::fastcdr::optional< AnnotationParameterValue > & | min () const
| This function returns a constant reference to member min.
eProsima_user_DllExport eprosima::fastcdr::optional< AnnotationParameterValue > & | min ()
| This function returns a reference to member min.
eProsima_user_DllExport void | max (const eprosima::fastcdr::optional< AnnotationParameterValue > &_max)
| This function copies the value in member max.
eProsima_user_DllExport void | max (eprosima::fastcdr::optional< AnnotationParameterValue > &&_max)
| This function moves the value in member max.
eProsima_user_DllExport const eprosima::fastcdr::optional< AnnotationParameterValue > & | max () const
| This function returns a constant reference to member max.
eProsima_user_DllExport eprosima::fastcdr::optional< AnnotationParameterValue > & | max ()
| This function returns a reference to member max.
eProsima_user_DllExport void | hash_id (const eprosima::fastcdr::optional< std::string > &_hash_id)
| This function copies the value in member hash_id.
eProsima_user_DllExport void | hash_id (eprosima::fastcdr::optional< std::string > &&_hash_id)
| This function moves the value in member hash_id.
eProsima_user_DllExport const eprosima::fastcdr::optional< std::string > & | hash_id () const
| This function returns a constant reference to member hash_id.
eProsima_user_DllExport eprosima::fastcdr::optional< std::string > & | hash_id ()
| This function returns a reference to member hash_id.

## Detailed Description

This class represents the structure AppliedBuiltinMemberAnnotations defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ AppliedBuiltinMemberAnnotations() [1/3]

eProsima_user_DllExport AppliedBuiltinMemberAnnotations | ( |  | ) |

inline

Default constructor.

## ◆ ~AppliedBuiltinMemberAnnotations()

eProsima_user_DllExport ~AppliedBuiltinMemberAnnotations | ( |  | ) |

inline

Default destructor.

## ◆ AppliedBuiltinMemberAnnotations() [2/3]

eProsima_user_DllExport AppliedBuiltinMemberAnnotations | ( | const AppliedBuiltinMemberAnnotations & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object AppliedBuiltinMemberAnnotations that will be copied.

## ◆ AppliedBuiltinMemberAnnotations() [3/3]

eProsima_user_DllExport AppliedBuiltinMemberAnnotations | ( | AppliedBuiltinMemberAnnotations && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object AppliedBuiltinMemberAnnotations that will be copied.

## Member Function Documentation

## ◆ hash_id() [1/4]

eProsima_user_DllExport eprosima::fastcdr::optional< std::string > & hash_id | ( |  | ) |

inline

This function returns a reference to member hash_id.

Returns
  Reference to member hash_id

## ◆ hash_id() [2/4]

eProsima_user_DllExport const eprosima::fastcdr::optional< std::string > & hash_id | ( |  | ) | const

inline

This function returns a constant reference to member hash_id.

Returns
  Constant reference to member hash_id

## ◆ hash_id() [3/4]

eProsima_user_DllExport void hash_id | ( | const eprosima::fastcdr::optional< std::string > & | _hash_id | ) |

inline

This function copies the value in member hash_id.

Parameters

  _hash_id | New value to be copied in member hash_id

## ◆ hash_id() [4/4]

eProsima_user_DllExport void hash_id | ( | eprosima::fastcdr::optional< std::string > && | _hash_id | ) |

inline

This function moves the value in member hash_id.

Parameters

  _hash_id | New value to be moved in member hash_id

## ◆ max() [1/4]

eProsima_user_DllExport eprosima::fastcdr::optional< AnnotationParameterValue > & max | ( |  | ) |

inline

This function returns a reference to member max.

Returns
  Reference to member max

## ◆ max() [2/4]

eProsima_user_DllExport const eprosima::fastcdr::optional< AnnotationParameterValue > & max | ( |  | ) | const

inline

This function returns a constant reference to member max.

Returns
  Constant reference to member max

## ◆ max() [3/4]

eProsima_user_DllExport void max | ( | const eprosima::fastcdr::optional< AnnotationParameterValue > & | _max | ) |

inline

This function copies the value in member max.

Parameters

  _max | New value to be copied in member max

## ◆ max() [4/4]

eProsima_user_DllExport void max | ( | eprosima::fastcdr::optional< AnnotationParameterValue > && | _max | ) |

inline

This function moves the value in member max.

Parameters

  _max | New value to be moved in member max

## ◆ min() [1/4]

eProsima_user_DllExport eprosima::fastcdr::optional< AnnotationParameterValue > & min | ( |  | ) |

inline

This function returns a reference to member min.

Returns
  Reference to member min

## ◆ min() [2/4]

eProsima_user_DllExport const eprosima::fastcdr::optional< AnnotationParameterValue > & min | ( |  | ) | const

inline

This function returns a constant reference to member min.

Returns
  Constant reference to member min

## ◆ min() [3/4]

eProsima_user_DllExport void min | ( | const eprosima::fastcdr::optional< AnnotationParameterValue > & | _min | ) |

inline

This function copies the value in member min.

Parameters

  _min | New value to be copied in member min

## ◆ min() [4/4]

eProsima_user_DllExport void min | ( | eprosima::fastcdr::optional< AnnotationParameterValue > && | _min | ) |

inline

This function moves the value in member min.

Parameters

  _min | New value to be moved in member min

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const AppliedBuiltinMemberAnnotations & | x | ) | const

inline

Comparison operator.

Parameters

  x | AppliedBuiltinMemberAnnotations object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport AppliedBuiltinMemberAnnotations & operator= | ( | AppliedBuiltinMemberAnnotations && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object AppliedBuiltinMemberAnnotations that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport AppliedBuiltinMemberAnnotations & operator= | ( | const AppliedBuiltinMemberAnnotations & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object AppliedBuiltinMemberAnnotations that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const AppliedBuiltinMemberAnnotations & | x | ) | const

inline

Comparison operator.

Parameters

  x | AppliedBuiltinMemberAnnotations object to compare.

## ◆ unit() [1/4]

eProsima_user_DllExport eprosima::fastcdr::optional< std::string > & unit | ( |  | ) |

inline

This function returns a reference to member unit.

Returns
  Reference to member unit

## ◆ unit() [2/4]

eProsima_user_DllExport const eprosima::fastcdr::optional< std::string > & unit | ( |  | ) | const

inline

This function returns a constant reference to member unit.

Returns
  Constant reference to member unit

## ◆ unit() [3/4]

eProsima_user_DllExport void unit | ( | const eprosima::fastcdr::optional< std::string > & | _unit | ) |

inline

This function copies the value in member unit.

Parameters

  _unit | New value to be copied in member unit

## ◆ unit() [4/4]

eProsima_user_DllExport void unit | ( | eprosima::fastcdr::optional< std::string > && | _unit | ) |

inline

This function moves the value in member unit.

Parameters

  _unit | New value to be moved in member unit

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp